Page MenuHomePhabricator

CX2: Move non UI related code from mw.cx.ui.TranslationView to mw.cx.TranslationController
Closed, ResolvedPublic

Description

mw.cx.ui.TranslationView should be more cleaned up to have only code to maintain the view and nothing about the translation model processing code. For example, currently it has namespace, title change processing code. It should idealy go to the main controller - mw.cx.TranslationController and from there.

Event Timeline

santhosh created this task.Jun 1 2017, 10:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2017, 10:14 AM
santhosh triaged this task as Medium priority.Jun 5 2017, 11:00 AM

Change 357348 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Move publish, success and error handler from view to controller

https://gerrit.wikimedia.org/r/357348

Change 357356 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Move title and namespace handler to TranslationController

https://gerrit.wikimedia.org/r/357356

Change 357348 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Move publish, success and error handler from view to controller

https://gerrit.wikimedia.org/r/357348

Change 357356 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Move title and namespace handler to TranslationController

https://gerrit.wikimedia.org/r/357356

Arrbee closed this task as Resolved.Jun 20 2017, 6:57 AM